%define shortname gpuctypes

Name:          python-%{shortname}
Version:       0.3.0
Release:       1%{?dist}
Summary:       A low level GPU library for Python
License:       MIT
URL:           https://pypi.org/project/gpuctypes/
Source0:       %url/archive/%{version}.tar.gz#/%{shortname}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Do you wish that there were simple wrappers for GPU libraries in Python?
Like not pyopencl, pycuda, and (HIP library someday?) here, but just raw
access to the APIs?

That's what gpuctypes does! While high level libraries have their place,
the world needs more low level libraries. Like gpuctypes. Welcome home.

%package -n     python3-%{shortname}
Summary:        %{summary}

%description -n python3-gpuctypes
Do you wish that there were simple wrappers for GPU libraries in Python?
Like not pyopencl, pycuda, and (HIP library someday?) here, but just raw
access to the APIs?

That's what gpuctypes does! While high level libraries have their place,
the world needs more low level libraries. Like gpuctypes. Welcome home.

%prep
%autosetup -p1 -n %{shortname}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gpuctypes

%files -n python3-gpuctypes -f %{pyproject_files}
%doc README.md

%changelog
* Thu May 30 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Fri Jan 12 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-2
- Use python3 naming

* Fri Jan 12 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-1
- Initial package
